void setup(){
  size(600,600);
  rectMode(CORNERS);
  noFill();stroke(0);
  subdiv(7,0,0,width,height);
  save("resu.png");
}

void subdiv(int n,int x1,int y1,int x2,int y2) {
 strokeWeight(n);
 rect(x1,y1,x2,y2);
 if (n>0) {
  int cx = (int)gauss(x1,x2);
  int cy = (int)gauss(y1,y2);
  subdiv(n-1,x1,y1,cx,cy);
  subdiv(n-1,cx,y1,x2,cy);
  subdiv(n-1,x1,cy,cx,y2);
  subdiv(n-1,cx,cy,x2,y2);
 }
}

// remarque : tirage gaussien existe dans processing 2.0

float gauss(int a, int b){
  return ((a+b)/2.0) + (b-a)*gauss01()/12;
}

float gauss01(){
  float theta = random(0,2*PI);
  float r = sqrt(-2*log(random(0,1)));
  return r*cos(theta);
}
