int DIV = 12; // nb de cases de la grille qui divise l'image
float MEAN = 30; // nb moyen de crateres dans une case

int Poisson(float lambda) {
 float w = random(0,1);
 int k = 0;
 float lim = exp(-lambda);
 while (w>lim){
   w *= random(0,1); k++;
 }
 return k;
}

float PowerLaw(float a, float b, float alpha){
  float ap1 = alpha+1;
  float x = pow(b,ap1)-pow(a,ap1)*random(0,1)+pow(a,ap1);
  return pow(x,1/ap1);
}

void setup(){
  size(600,600);
  background(250);
  float cellw = float(width)/DIV;
  float cellh = float(height)/DIV;
  //pour chaque case
  for (int i=0;i<DIV;i++)
   for (int j=0;j<DIV;j++){
    int xc = int(i*cellw);
    int yc = int(j*cellh);
    int nbcrat = Poisson(MEAN);
    // pour chaque cratere de la case
    for (int k=0;k<nbcrat;k++){
      int x = int(random(xc,xc+cellw));
      int y = int(random(yc,yc+cellh));
      float dia = PowerLaw(1,50,-2.5);
      //fill(0);rect(x,y,10,10);
      stroke(0);fill(250);
      ellipse(x,y,dia,dia);
    }     
   }
 save("cratere.png");
}
